Package de.tudresden.ws.container

## Class SumoLink

- java.lang.Object
- - de.tudresden.sumo.objects.SumoLink
  - - de.tudresden.ws.container.SumoLink

- All Implemented Interfaces:
    `SumoObject`

      public class SumoLink
      extends SumoLink

  Deprecated.
  use package `de.tudresden.sumo.objects` instead.
  Author:
    Mario Krumnow

- - ### Field Summary

    - ### Fields inherited from class de.tudresden.sumo.objects.SumoLink

      `direction, from, hasApproachingFoe, hasPriority, internalLane, isOpen, length, notInternalLane, over, state, to`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoLink​(String notInternal, String internal, byte priority, byte isOpen, byte hasFoe, double length, String state, String direction)` | Deprecated.
    `SumoLink​(String from, String to, String over)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class de.tudresden.sumo.objects.SumoLink

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SumoLink

          public SumoLink​(String from,
                          String to,
                          String over)

      Deprecated.

    - #### SumoLink

          public SumoLink​(String notInternal,
                          String internal,
                          byte priority,
                          byte isOpen,
                          byte hasFoe,
                          double length,
                          String state,
                          String direction)

      Deprecated.